Loading...
Searching...
No Matches
tokenst.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <algorithm>`
`#include <vector>`
`#include <string>`
`#include <limits>`
`#include <cstring>`
`#include <openbabel/tokenst.h>`

## Namespaces

namespace | OpenBabel

## Functions

bool | tokenize (std::vector< std::string > &, const char *buf, const char *delimstr=" \t\n\r")
char * | trim_spaces (char *string)
bool | tokenize (std::vector< std::string > &, std::string &, const char *delimstr=" \t\n\r", int limit=-1)
std::string & | Trim (std::string &txt)
std::istream & | ignore (std::istream &ifs, const std::string &txt)
std::string | OpenDatafile (std::ifstream &fs, const std::string &filename, const std::string &envvar="BABEL_DATADIR")

## Detailed Description

Tokenize a string.